<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE refentry PUBLIC "-//OASIS//DTD DocBook XML V4.1.2//EN" "http://www.oasis-open.org/docbook/xml/4.1.2/docbookx.dtd" [
<!ENTITY version SYSTEM "version.xml">
]>
<refentry id="milter-manager-MilterManagerChildren">
<refmeta>
<refentrytitle role="top_of_page" id="milter-manager-MilterManagerChildren.top_of_page">MilterManagerChildren</refentrytitle>
<manvolnum>3</manvolnum>
<refmiscinfo>milter managerライブラリ</refmiscinfo>
</refmeta>
<refnamediv>
<refname>MilterManagerChildren</refname>
<refpurpose/>
</refnamediv>

<refsynopsisdiv id="milter-manager-MilterManagerChildren.synopsis" role="synopsis">
<title role="synopsis.title">概要</title>

<synopsis>#define             <link linkend="MILTER-MANAGER-CHILDREN-ERROR:CAPS">MILTER_MANAGER_CHILDREN_ERROR</link>
#define             <link linkend="MILTER-MANAGER-CHILDREN:CAPS">MILTER_MANAGER_CHILDREN</link>             (obj)
enum                <link linkend="MilterManagerChildrenError">MilterManagerChildrenError</link>;
                    <link linkend="MilterManagerChildren">MilterManagerChildren</link>;
<link linkend="GQuark"><returnvalue>GQuark</returnvalue></link>              <link linkend="milter-manager-children-error-quark">milter_manager_children_error_quark</link> (void);
<link linkend="MilterManagerChildren"><returnvalue>MilterManagerChildren</returnvalue></link> * <link linkend="milter-manager-children-new">milter_manager_children_new</link>     (<link linkend="MilterManagerConfiguration"><returnvalue>MilterManagerConfiguration</returnvalue></link> *configuration);
<link linkend="void"><returnvalue>void</returnvalue></link>                <link linkend="milter-manager-children-add-child">milter_manager_children_add_child</link>   (<link linkend="MilterManagerChildren"><returnvalue>MilterManagerChildren</returnvalue></link> *children,
                                                         <link linkend="MilterManagerChild"><returnvalue>MilterManagerChild</returnvalue></link> *child);
<link linkend="guint"><returnvalue>guint</returnvalue></link>               <link linkend="milter-manager-children-length">milter_manager_children_length</link>      (<link linkend="MilterManagerChildren"><returnvalue>MilterManagerChildren</returnvalue></link> *children);
<link linkend="GList"><returnvalue>GList</returnvalue></link> *             <link linkend="milter-manager-children-get-children">milter_manager_children_get_children</link>
                                                        (<link linkend="MilterManagerChildren"><returnvalue>MilterManagerChildren</returnvalue></link> *children);
<link linkend="GList"><returnvalue>GList</returnvalue></link> *             <link linkend="milter-manager-children-get-quitted-children">milter_manager_children_get_quitted_children</link>
                                                        (<link linkend="MilterManagerChildren"><returnvalue>MilterManagerChildren</returnvalue></link> *children);
<link linkend="void"><returnvalue>void</returnvalue></link>                <link linkend="milter-manager-children-foreach">milter_manager_children_foreach</link>     (<link linkend="MilterManagerChildren"><returnvalue>MilterManagerChildren</returnvalue></link> *children,
                                                         <link linkend="GFunc"><returnvalue>GFunc</returnvalue></link> func,
                                                         <link linkend="gpointer"><returnvalue>gpointer</returnvalue></link> user_data);
<link linkend="gboolean"><returnvalue>gboolean</returnvalue></link>            <link linkend="milter-manager-children-negotiate">milter_manager_children_negotiate</link>   (<link linkend="MilterManagerChildren"><returnvalue>MilterManagerChildren</returnvalue></link> *children,
                                                         <link linkend="MilterOption"><returnvalue>MilterOption</returnvalue></link> *option,
                                                         <link linkend="MilterMacrosRequests"><returnvalue>MilterMacrosRequests</returnvalue></link> *macros_requests);
<link linkend="gboolean"><returnvalue>gboolean</returnvalue></link>            <link linkend="milter-manager-children-define-macro">milter_manager_children_define_macro</link>
                                                        (<link linkend="MilterManagerChildren"><returnvalue>MilterManagerChildren</returnvalue></link> *children,
                                                         <link linkend="MilterCommand"><returnvalue>MilterCommand</returnvalue></link> command,
                                                         <link linkend="GHashTable"><returnvalue>GHashTable</returnvalue></link> *macro);
<link linkend="gboolean"><returnvalue>gboolean</returnvalue></link>            <link linkend="milter-manager-children-connect">milter_manager_children_connect</link>     (<link linkend="MilterManagerChildren"><returnvalue>MilterManagerChildren</returnvalue></link> *children,
                                                         const <link linkend="gchar"><returnvalue>gchar</returnvalue></link> *host_name,
                                                         <returnvalue>struct sockaddr</returnvalue> *address,
                                                         <link linkend="socklen-t"><returnvalue>socklen_t</returnvalue></link> address_length);
<link linkend="gboolean"><returnvalue>gboolean</returnvalue></link>            <link linkend="milter-manager-children-helo">milter_manager_children_helo</link>        (<link linkend="MilterManagerChildren"><returnvalue>MilterManagerChildren</returnvalue></link> *children,
                                                         const <link linkend="gchar"><returnvalue>gchar</returnvalue></link> *fqdn);
<link linkend="gboolean"><returnvalue>gboolean</returnvalue></link>            <link linkend="milter-manager-children-envelope-from">milter_manager_children_envelope_from</link>
                                                        (<link linkend="MilterManagerChildren"><returnvalue>MilterManagerChildren</returnvalue></link> *children,
                                                         const <link linkend="gchar"><returnvalue>gchar</returnvalue></link> *from);
<link linkend="gboolean"><returnvalue>gboolean</returnvalue></link>            <link linkend="milter-manager-children-envelope-recipient">milter_manager_children_envelope_recipient</link>
                                                        (<link linkend="MilterManagerChildren"><returnvalue>MilterManagerChildren</returnvalue></link> *children,
                                                         const <link linkend="gchar"><returnvalue>gchar</returnvalue></link> *recipient);
<link linkend="gboolean"><returnvalue>gboolean</returnvalue></link>            <link linkend="milter-manager-children-data">milter_manager_children_data</link>        (<link linkend="MilterManagerChildren"><returnvalue>MilterManagerChildren</returnvalue></link> *children);
<link linkend="gboolean"><returnvalue>gboolean</returnvalue></link>            <link linkend="milter-manager-children-unknown">milter_manager_children_unknown</link>     (<link linkend="MilterManagerChildren"><returnvalue>MilterManagerChildren</returnvalue></link> *children,
                                                         const <link linkend="gchar"><returnvalue>gchar</returnvalue></link> *command);
<link linkend="gboolean"><returnvalue>gboolean</returnvalue></link>            <link linkend="milter-manager-children-header">milter_manager_children_header</link>      (<link linkend="MilterManagerChildren"><returnvalue>MilterManagerChildren</returnvalue></link> *children,
                                                         const <link linkend="gchar"><returnvalue>gchar</returnvalue></link> *name,
                                                         const <link linkend="gchar"><returnvalue>gchar</returnvalue></link> *value);
<link linkend="gboolean"><returnvalue>gboolean</returnvalue></link>            <link linkend="milter-manager-children-end-of-header">milter_manager_children_end_of_header</link>
                                                        (<link linkend="MilterManagerChildren"><returnvalue>MilterManagerChildren</returnvalue></link> *children);
<link linkend="gboolean"><returnvalue>gboolean</returnvalue></link>            <link linkend="milter-manager-children-body">milter_manager_children_body</link>        (<link linkend="MilterManagerChildren"><returnvalue>MilterManagerChildren</returnvalue></link> *children,
                                                         const <link linkend="gchar"><returnvalue>gchar</returnvalue></link> *chunk,
                                                         <link linkend="gsize"><returnvalue>gsize</returnvalue></link> size);
<link linkend="gboolean"><returnvalue>gboolean</returnvalue></link>            <link linkend="milter-manager-children-end-of-message">milter_manager_children_end_of_message</link>
                                                        (<link linkend="MilterManagerChildren"><returnvalue>MilterManagerChildren</returnvalue></link> *children,
                                                         const <link linkend="gchar"><returnvalue>gchar</returnvalue></link> *chunk,
                                                         <link linkend="gsize"><returnvalue>gsize</returnvalue></link> size);
<link linkend="gboolean"><returnvalue>gboolean</returnvalue></link>            <link linkend="milter-manager-children-quit">milter_manager_children_quit</link>        (<link linkend="MilterManagerChildren"><returnvalue>MilterManagerChildren</returnvalue></link> *children);
<link linkend="gboolean"><returnvalue>gboolean</returnvalue></link>            <link linkend="milter-manager-children-abort">milter_manager_children_abort</link>       (<link linkend="MilterManagerChildren"><returnvalue>MilterManagerChildren</returnvalue></link> *children);
<link linkend="void"><returnvalue>void</returnvalue></link>                <link linkend="milter-manager-children-set-retry-connect-time">milter_manager_children_set_retry_connect_time</link>
                                                        (<link linkend="MilterManagerChildren"><returnvalue>MilterManagerChildren</returnvalue></link> *children,
                                                         <link linkend="gdouble"><returnvalue>gdouble</returnvalue></link> time);
<link linkend="gboolean"><returnvalue>gboolean</returnvalue></link>            <link linkend="milter-manager-children-is-important-status">milter_manager_children_is_important_status</link>
                                                        (<link linkend="MilterManagerChildren"><returnvalue>MilterManagerChildren</returnvalue></link> *children,
                                                         <link linkend="MilterServerContextState"><returnvalue>MilterServerContextState</returnvalue></link> state,
                                                         <link linkend="MilterStatus"><returnvalue>MilterStatus</returnvalue></link> status);
<link linkend="void"><returnvalue>void</returnvalue></link>                <link linkend="milter-manager-children-set-status">milter_manager_children_set_status</link>  (<link linkend="MilterManagerChildren"><returnvalue>MilterManagerChildren</returnvalue></link> *children,
                                                         <link linkend="MilterServerContextState"><returnvalue>MilterServerContextState</returnvalue></link> state,
                                                         <link linkend="MilterStatus"><returnvalue>MilterStatus</returnvalue></link> status);
<link linkend="void"><returnvalue>void</returnvalue></link>                <link linkend="milter-manager-children-set-launcher-channel">milter_manager_children_set_launcher_channel</link>
                                                        (<link linkend="MilterManagerChildren"><returnvalue>MilterManagerChildren</returnvalue></link> *children,
                                                         <link linkend="GIOChannel"><returnvalue>GIOChannel</returnvalue></link> *read_channel,
                                                         <link linkend="GIOChannel"><returnvalue>GIOChannel</returnvalue></link> *write_channel);
</synopsis>
</refsynopsisdiv>

<refsect1 id="milter-manager-MilterManagerChildren.description" role="desc">
<title role="desc.title">説明</title>
<para>
</para>
</refsect1>
<refsect1 id="milter-manager-MilterManagerChildren.details" role="details">
<title role="details.title">詳細</title>
<refsect2 id="MILTER-MANAGER-CHILDREN-ERROR:CAPS" role="macro">
<title>MILTER_MANAGER_CHILDREN_ERROR</title>
<indexterm zone="MILTER-MANAGER-CHILDREN-ERROR:CAPS"><primary>MILTER_MANAGER_CHILDREN_ERROR</primary></indexterm>
<programlisting>#define MILTER_MANAGER_CHILDREN_ERROR           (milter_manager_children_error_quark())
</programlisting>
<para>
</para></refsect2>
<refsect2 id="MILTER-MANAGER-CHILDREN:CAPS" role="macro">
<title>MILTER_MANAGER_CHILDREN()</title>
<indexterm zone="MILTER-MANAGER-CHILDREN:CAPS"><primary>MILTER_MANAGER_CHILDREN</primary></indexterm>
<programlisting>#define MILTER_MANAGER_CHILDREN(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), MILTER_TYPE_MANAGER_CHILDREN, MilterManagerChildren))
</programlisting>
<para>
</para><variablelist role="params">
<varlistentry><term><parameter>obj</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
</variablelist></refsect2>
<refsect2 id="MilterManagerChildrenError" role="enum">
<title>enum MilterManagerChildrenError</title>
<indexterm zone="MilterManagerChildrenError"><primary>MilterManagerChildrenError</primary></indexterm>
<programlisting>typedef enum
{
    MILTER_MANAGER_CHILDREN_ERROR_MILTER_EXIT,
    MILTER_MANAGER_CHILDREN_ERROR_NO_NEGOTIATION,
    MILTER_MANAGER_CHILDREN_ERROR_NO_NEGOTIATION_RESPONSE,
    MILTER_MANAGER_CHILDREN_ERROR_NO_DEMAND_COMMAND,
    MILTER_MANAGER_CHILDREN_ERROR_NO_ALIVE_MILTER,
    MILTER_MANAGER_CHILDREN_ERROR_NO_MESSAGE_PROCESSING_MILTER
} MilterManagerChildrenError;
</programlisting>
<para>
</para></refsect2>
<refsect2 id="MilterManagerChildren" role="struct">
<title>MilterManagerChildren</title>
<indexterm zone="MilterManagerChildren"><primary>MilterManagerChildren</primary></indexterm>
<programlisting>typedef struct {
    GObject object;
} MilterManagerChildren;
</programlisting>
<para>
</para></refsect2>
<refsect2 id="milter-manager-children-error-quark" role="function">
<title>milter_manager_children_error_quark ()</title>
<indexterm zone="milter-manager-children-error-quark"><primary>milter_manager_children_error_quark</primary></indexterm>
<programlisting><link linkend="GQuark"><returnvalue>GQuark</returnvalue></link>              milter_manager_children_error_quark (void);</programlisting>
<para>
</para><variablelist role="params">
<varlistentry><term><emphasis>返値</emphasis>&nbsp;:</term><listitem><simpara>
</simpara></listitem></varlistentry>
</variablelist></refsect2>
<refsect2 id="milter-manager-children-new" role="function">
<title>milter_manager_children_new ()</title>
<indexterm zone="milter-manager-children-new"><primary>milter_manager_children_new</primary></indexterm>
<programlisting><link linkend="MilterManagerChildren"><returnvalue>MilterManagerChildren</returnvalue></link> * milter_manager_children_new     (<link linkend="MilterManagerConfiguration"><returnvalue>MilterManagerConfiguration</returnvalue></link> *configuration);</programlisting>
<para>
</para><variablelist role="params">
<varlistentry><term><parameter>configuration</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><emphasis>返値</emphasis>&nbsp;:</term><listitem><simpara>
</simpara></listitem></varlistentry>
</variablelist></refsect2>
<refsect2 id="milter-manager-children-add-child" role="function">
<title>milter_manager_children_add_child ()</title>
<indexterm zone="milter-manager-children-add-child"><primary>milter_manager_children_add_child</primary></indexterm>
<programlisting><link linkend="void"><returnvalue>void</returnvalue></link>                milter_manager_children_add_child   (<link linkend="MilterManagerChildren"><returnvalue>MilterManagerChildren</returnvalue></link> *children,
                                                         <link linkend="MilterManagerChild"><returnvalue>MilterManagerChild</returnvalue></link> *child);</programlisting>
<para>
</para><variablelist role="params">
<varlistentry><term><parameter>children</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>child</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
</variablelist></refsect2>
<refsect2 id="milter-manager-children-length" role="function">
<title>milter_manager_children_length ()</title>
<indexterm zone="milter-manager-children-length"><primary>milter_manager_children_length</primary></indexterm>
<programlisting><link linkend="guint"><returnvalue>guint</returnvalue></link>               milter_manager_children_length      (<link linkend="MilterManagerChildren"><returnvalue>MilterManagerChildren</returnvalue></link> *children);</programlisting>
<para>
</para><variablelist role="params">
<varlistentry><term><parameter>children</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><emphasis>返値</emphasis>&nbsp;:</term><listitem><simpara>
</simpara></listitem></varlistentry>
</variablelist></refsect2>
<refsect2 id="milter-manager-children-get-children" role="function">
<title>milter_manager_children_get_children ()</title>
<indexterm zone="milter-manager-children-get-children"><primary>milter_manager_children_get_children</primary></indexterm>
<programlisting><link linkend="GList"><returnvalue>GList</returnvalue></link> *             milter_manager_children_get_children
                                                        (<link linkend="MilterManagerChildren"><returnvalue>MilterManagerChildren</returnvalue></link> *children);</programlisting>
<para>
</para><variablelist role="params">
<varlistentry><term><parameter>children</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><emphasis>返値</emphasis>&nbsp;:</term><listitem><simpara>
</simpara></listitem></varlistentry>
</variablelist></refsect2>
<refsect2 id="milter-manager-children-get-quitted-children" role="function">
<title>milter_manager_children_get_quitted_children ()</title>
<indexterm zone="milter-manager-children-get-quitted-children"><primary>milter_manager_children_get_quitted_children</primary></indexterm>
<programlisting><link linkend="GList"><returnvalue>GList</returnvalue></link> *             milter_manager_children_get_quitted_children
                                                        (<link linkend="MilterManagerChildren"><returnvalue>MilterManagerChildren</returnvalue></link> *children);</programlisting>
<para>
</para><variablelist role="params">
<varlistentry><term><parameter>children</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><emphasis>返値</emphasis>&nbsp;:</term><listitem><simpara>
</simpara></listitem></varlistentry>
</variablelist></refsect2>
<refsect2 id="milter-manager-children-foreach" role="function">
<title>milter_manager_children_foreach ()</title>
<indexterm zone="milter-manager-children-foreach"><primary>milter_manager_children_foreach</primary></indexterm>
<programlisting><link linkend="void"><returnvalue>void</returnvalue></link>                milter_manager_children_foreach     (<link linkend="MilterManagerChildren"><returnvalue>MilterManagerChildren</returnvalue></link> *children,
                                                         <link linkend="GFunc"><returnvalue>GFunc</returnvalue></link> func,
                                                         <link linkend="gpointer"><returnvalue>gpointer</returnvalue></link> user_data);</programlisting>
<para>
</para><variablelist role="params">
<varlistentry><term><parameter>children</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>func</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>user_data</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
</variablelist></refsect2>
<refsect2 id="milter-manager-children-negotiate" role="function">
<title>milter_manager_children_negotiate ()</title>
<indexterm zone="milter-manager-children-negotiate"><primary>milter_manager_children_negotiate</primary></indexterm>
<programlisting><link linkend="gboolean"><returnvalue>gboolean</returnvalue></link>            milter_manager_children_negotiate   (<link linkend="MilterManagerChildren"><returnvalue>MilterManagerChildren</returnvalue></link> *children,
                                                         <link linkend="MilterOption"><returnvalue>MilterOption</returnvalue></link> *option,
                                                         <link linkend="MilterMacrosRequests"><returnvalue>MilterMacrosRequests</returnvalue></link> *macros_requests);</programlisting>
<para>
</para><variablelist role="params">
<varlistentry><term><parameter>children</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>option</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>macros_requests</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><emphasis>返値</emphasis>&nbsp;:</term><listitem><simpara>
</simpara></listitem></varlistentry>
</variablelist></refsect2>
<refsect2 id="milter-manager-children-define-macro" role="function">
<title>milter_manager_children_define_macro ()</title>
<indexterm zone="milter-manager-children-define-macro"><primary>milter_manager_children_define_macro</primary></indexterm>
<programlisting><link linkend="gboolean"><returnvalue>gboolean</returnvalue></link>            milter_manager_children_define_macro
                                                        (<link linkend="MilterManagerChildren"><returnvalue>MilterManagerChildren</returnvalue></link> *children,
                                                         <link linkend="MilterCommand"><returnvalue>MilterCommand</returnvalue></link> command,
                                                         <link linkend="GHashTable"><returnvalue>GHashTable</returnvalue></link> *macro);</programlisting>
<para>
</para><variablelist role="params">
<varlistentry><term><parameter>children</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>command</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>macro</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><emphasis>返値</emphasis>&nbsp;:</term><listitem><simpara>
</simpara></listitem></varlistentry>
</variablelist></refsect2>
<refsect2 id="milter-manager-children-connect" role="function">
<title>milter_manager_children_connect ()</title>
<indexterm zone="milter-manager-children-connect"><primary>milter_manager_children_connect</primary></indexterm>
<programlisting><link linkend="gboolean"><returnvalue>gboolean</returnvalue></link>            milter_manager_children_connect     (<link linkend="MilterManagerChildren"><returnvalue>MilterManagerChildren</returnvalue></link> *children,
                                                         const <link linkend="gchar"><returnvalue>gchar</returnvalue></link> *host_name,
                                                         <returnvalue>struct sockaddr</returnvalue> *address,
                                                         <link linkend="socklen-t"><returnvalue>socklen_t</returnvalue></link> address_length);</programlisting>
<para>
</para><variablelist role="params">
<varlistentry><term><parameter>children</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>host_name</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>address</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>address_length</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><emphasis>返値</emphasis>&nbsp;:</term><listitem><simpara>
</simpara></listitem></varlistentry>
</variablelist></refsect2>
<refsect2 id="milter-manager-children-helo" role="function">
<title>milter_manager_children_helo ()</title>
<indexterm zone="milter-manager-children-helo"><primary>milter_manager_children_helo</primary></indexterm>
<programlisting><link linkend="gboolean"><returnvalue>gboolean</returnvalue></link>            milter_manager_children_helo        (<link linkend="MilterManagerChildren"><returnvalue>MilterManagerChildren</returnvalue></link> *children,
                                                         const <link linkend="gchar"><returnvalue>gchar</returnvalue></link> *fqdn);</programlisting>
<para>
</para><variablelist role="params">
<varlistentry><term><parameter>children</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>fqdn</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><emphasis>返値</emphasis>&nbsp;:</term><listitem><simpara>
</simpara></listitem></varlistentry>
</variablelist></refsect2>
<refsect2 id="milter-manager-children-envelope-from" role="function">
<title>milter_manager_children_envelope_from ()</title>
<indexterm zone="milter-manager-children-envelope-from"><primary>milter_manager_children_envelope_from</primary></indexterm>
<programlisting><link linkend="gboolean"><returnvalue>gboolean</returnvalue></link>            milter_manager_children_envelope_from
                                                        (<link linkend="MilterManagerChildren"><returnvalue>MilterManagerChildren</returnvalue></link> *children,
                                                         const <link linkend="gchar"><returnvalue>gchar</returnvalue></link> *from);</programlisting>
<para>
</para><variablelist role="params">
<varlistentry><term><parameter>children</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>from</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><emphasis>返値</emphasis>&nbsp;:</term><listitem><simpara>
</simpara></listitem></varlistentry>
</variablelist></refsect2>
<refsect2 id="milter-manager-children-envelope-recipient" role="function">
<title>milter_manager_children_envelope_recipient ()</title>
<indexterm zone="milter-manager-children-envelope-recipient"><primary>milter_manager_children_envelope_recipient</primary></indexterm>
<programlisting><link linkend="gboolean"><returnvalue>gboolean</returnvalue></link>            milter_manager_children_envelope_recipient
                                                        (<link linkend="MilterManagerChildren"><returnvalue>MilterManagerChildren</returnvalue></link> *children,
                                                         const <link linkend="gchar"><returnvalue>gchar</returnvalue></link> *recipient);</programlisting>
<para>
</para><variablelist role="params">
<varlistentry><term><parameter>children</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>recipient</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><emphasis>返値</emphasis>&nbsp;:</term><listitem><simpara>
</simpara></listitem></varlistentry>
</variablelist></refsect2>
<refsect2 id="milter-manager-children-data" role="function">
<title>milter_manager_children_data ()</title>
<indexterm zone="milter-manager-children-data"><primary>milter_manager_children_data</primary></indexterm>
<programlisting><link linkend="gboolean"><returnvalue>gboolean</returnvalue></link>            milter_manager_children_data        (<link linkend="MilterManagerChildren"><returnvalue>MilterManagerChildren</returnvalue></link> *children);</programlisting>
<para>
</para><variablelist role="params">
<varlistentry><term><parameter>children</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><emphasis>返値</emphasis>&nbsp;:</term><listitem><simpara>
</simpara></listitem></varlistentry>
</variablelist></refsect2>
<refsect2 id="milter-manager-children-unknown" role="function">
<title>milter_manager_children_unknown ()</title>
<indexterm zone="milter-manager-children-unknown"><primary>milter_manager_children_unknown</primary></indexterm>
<programlisting><link linkend="gboolean"><returnvalue>gboolean</returnvalue></link>            milter_manager_children_unknown     (<link linkend="MilterManagerChildren"><returnvalue>MilterManagerChildren</returnvalue></link> *children,
                                                         const <link linkend="gchar"><returnvalue>gchar</returnvalue></link> *command);</programlisting>
<para>
</para><variablelist role="params">
<varlistentry><term><parameter>children</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>command</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><emphasis>返値</emphasis>&nbsp;:</term><listitem><simpara>
</simpara></listitem></varlistentry>
</variablelist></refsect2>
<refsect2 id="milter-manager-children-header" role="function">
<title>milter_manager_children_header ()</title>
<indexterm zone="milter-manager-children-header"><primary>milter_manager_children_header</primary></indexterm>
<programlisting><link linkend="gboolean"><returnvalue>gboolean</returnvalue></link>            milter_manager_children_header      (<link linkend="MilterManagerChildren"><returnvalue>MilterManagerChildren</returnvalue></link> *children,
                                                         const <link linkend="gchar"><returnvalue>gchar</returnvalue></link> *name,
                                                         const <link linkend="gchar"><returnvalue>gchar</returnvalue></link> *value);</programlisting>
<para>
</para><variablelist role="params">
<varlistentry><term><parameter>children</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>name</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>value</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><emphasis>返値</emphasis>&nbsp;:</term><listitem><simpara>
</simpara></listitem></varlistentry>
</variablelist></refsect2>
<refsect2 id="milter-manager-children-end-of-header" role="function">
<title>milter_manager_children_end_of_header ()</title>
<indexterm zone="milter-manager-children-end-of-header"><primary>milter_manager_children_end_of_header</primary></indexterm>
<programlisting><link linkend="gboolean"><returnvalue>gboolean</returnvalue></link>            milter_manager_children_end_of_header
                                                        (<link linkend="MilterManagerChildren"><returnvalue>MilterManagerChildren</returnvalue></link> *children);</programlisting>
<para>
</para><variablelist role="params">
<varlistentry><term><parameter>children</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><emphasis>返値</emphasis>&nbsp;:</term><listitem><simpara>
</simpara></listitem></varlistentry>
</variablelist></refsect2>
<refsect2 id="milter-manager-children-body" role="function">
<title>milter_manager_children_body ()</title>
<indexterm zone="milter-manager-children-body"><primary>milter_manager_children_body</primary></indexterm>
<programlisting><link linkend="gboolean"><returnvalue>gboolean</returnvalue></link>            milter_manager_children_body        (<link linkend="MilterManagerChildren"><returnvalue>MilterManagerChildren</returnvalue></link> *children,
                                                         const <link linkend="gchar"><returnvalue>gchar</returnvalue></link> *chunk,
                                                         <link linkend="gsize"><returnvalue>gsize</returnvalue></link> size);</programlisting>
<para>
</para><variablelist role="params">
<varlistentry><term><parameter>children</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>chunk</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>size</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><emphasis>返値</emphasis>&nbsp;:</term><listitem><simpara>
</simpara></listitem></varlistentry>
</variablelist></refsect2>
<refsect2 id="milter-manager-children-end-of-message" role="function">
<title>milter_manager_children_end_of_message ()</title>
<indexterm zone="milter-manager-children-end-of-message"><primary>milter_manager_children_end_of_message</primary></indexterm>
<programlisting><link linkend="gboolean"><returnvalue>gboolean</returnvalue></link>            milter_manager_children_end_of_message
                                                        (<link linkend="MilterManagerChildren"><returnvalue>MilterManagerChildren</returnvalue></link> *children,
                                                         const <link linkend="gchar"><returnvalue>gchar</returnvalue></link> *chunk,
                                                         <link linkend="gsize"><returnvalue>gsize</returnvalue></link> size);</programlisting>
<para>
</para><variablelist role="params">
<varlistentry><term><parameter>children</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>chunk</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>size</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><emphasis>返値</emphasis>&nbsp;:</term><listitem><simpara>
</simpara></listitem></varlistentry>
</variablelist></refsect2>
<refsect2 id="milter-manager-children-quit" role="function">
<title>milter_manager_children_quit ()</title>
<indexterm zone="milter-manager-children-quit"><primary>milter_manager_children_quit</primary></indexterm>
<programlisting><link linkend="gboolean"><returnvalue>gboolean</returnvalue></link>            milter_manager_children_quit        (<link linkend="MilterManagerChildren"><returnvalue>MilterManagerChildren</returnvalue></link> *children);</programlisting>
<para>
</para><variablelist role="params">
<varlistentry><term><parameter>children</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><emphasis>返値</emphasis>&nbsp;:</term><listitem><simpara>
</simpara></listitem></varlistentry>
</variablelist></refsect2>
<refsect2 id="milter-manager-children-abort" role="function">
<title>milter_manager_children_abort ()</title>
<indexterm zone="milter-manager-children-abort"><primary>milter_manager_children_abort</primary></indexterm>
<programlisting><link linkend="gboolean"><returnvalue>gboolean</returnvalue></link>            milter_manager_children_abort       (<link linkend="MilterManagerChildren"><returnvalue>MilterManagerChildren</returnvalue></link> *children);</programlisting>
<para>
</para><variablelist role="params">
<varlistentry><term><parameter>children</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><emphasis>返値</emphasis>&nbsp;:</term><listitem><simpara>
</simpara></listitem></varlistentry>
</variablelist></refsect2>
<refsect2 id="milter-manager-children-set-retry-connect-time" role="function">
<title>milter_manager_children_set_retry_connect_time ()</title>
<indexterm zone="milter-manager-children-set-retry-connect-time"><primary>milter_manager_children_set_retry_connect_time</primary></indexterm>
<programlisting><link linkend="void"><returnvalue>void</returnvalue></link>                milter_manager_children_set_retry_connect_time
                                                        (<link linkend="MilterManagerChildren"><returnvalue>MilterManagerChildren</returnvalue></link> *children,
                                                         <link linkend="gdouble"><returnvalue>gdouble</returnvalue></link> time);</programlisting>
<para>
</para><variablelist role="params">
<varlistentry><term><parameter>children</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>time</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
</variablelist></refsect2>
<refsect2 id="milter-manager-children-is-important-status" role="function">
<title>milter_manager_children_is_important_status ()</title>
<indexterm zone="milter-manager-children-is-important-status"><primary>milter_manager_children_is_important_status</primary></indexterm>
<programlisting><link linkend="gboolean"><returnvalue>gboolean</returnvalue></link>            milter_manager_children_is_important_status
                                                        (<link linkend="MilterManagerChildren"><returnvalue>MilterManagerChildren</returnvalue></link> *children,
                                                         <link linkend="MilterServerContextState"><returnvalue>MilterServerContextState</returnvalue></link> state,
                                                         <link linkend="MilterStatus"><returnvalue>MilterStatus</returnvalue></link> status);</programlisting>
<para>
</para><variablelist role="params">
<varlistentry><term><parameter>children</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>state</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>status</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><emphasis>返値</emphasis>&nbsp;:</term><listitem><simpara>
</simpara></listitem></varlistentry>
</variablelist></refsect2>
<refsect2 id="milter-manager-children-set-status" role="function">
<title>milter_manager_children_set_status ()</title>
<indexterm zone="milter-manager-children-set-status"><primary>milter_manager_children_set_status</primary></indexterm>
<programlisting><link linkend="void"><returnvalue>void</returnvalue></link>                milter_manager_children_set_status  (<link linkend="MilterManagerChildren"><returnvalue>MilterManagerChildren</returnvalue></link> *children,
                                                         <link linkend="MilterServerContextState"><returnvalue>MilterServerContextState</returnvalue></link> state,
                                                         <link linkend="MilterStatus"><returnvalue>MilterStatus</returnvalue></link> status);</programlisting>
<para>
</para><variablelist role="params">
<varlistentry><term><parameter>children</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>state</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>status</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
</variablelist></refsect2>
<refsect2 id="milter-manager-children-set-launcher-channel" role="function">
<title>milter_manager_children_set_launcher_channel ()</title>
<indexterm zone="milter-manager-children-set-launcher-channel"><primary>milter_manager_children_set_launcher_channel</primary></indexterm>
<programlisting><link linkend="void"><returnvalue>void</returnvalue></link>                milter_manager_children_set_launcher_channel
                                                        (<link linkend="MilterManagerChildren"><returnvalue>MilterManagerChildren</returnvalue></link> *children,
                                                         <link linkend="GIOChannel"><returnvalue>GIOChannel</returnvalue></link> *read_channel,
                                                         <link linkend="GIOChannel"><returnvalue>GIOChannel</returnvalue></link> *write_channel);</programlisting>
<para>
</para><variablelist role="params">
<varlistentry><term><parameter>children</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>read_channel</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>write_channel</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
</variablelist></refsect2>

</refsect1>

</refentry>
